%define	version	0.9.0
%define release	%mkrel 1

Summary:	Managing cron job or at job using GUI
Name:		gnome-schedule
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Other
URL:		http://gnome-schedule.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/gnome-schedule/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pygtk2.0-devel
BuildRequires:	yelp
BuildRequires:	at
Requires:	at
Requires:	pygtk2.0-libglade
Requires:	gnome-python

%description
Gnome-schedule is a tool for managing a users crontab or at jobs
using a GUI. Its key features include:

  * View and edit cron and at jobs in a GUI
  * You can add templates like "Build Kernel" or "Scan for viruses" for
easy reuse of jobs
  * Change other users cron and at jobs if you are root
  * Icons and titles for jobs
  * A human readable text string of cron jobs, to make it easier for
users to understand something like: 5 0 * * *, gnome-schedule translates
it into: At every day at 00:05
  * There is also some predefined common expressions like; every day,
every minute, every week, tomorrow, next week. Depending whether you are
adding a cron job or at job.
  * An advanced view to make it more efficient for the experienced user
to manage his crontabs.
  * A calendar to choose when an at job should be added.

WARNING: This is still a beta release and not ready for user consumption
yet. It is uploaded for software testing. Please submit bug reports to
GNOME bugzilla (bugzilla.gnome.org).

%prep
%setup -q

%build
%configure2_5x
%make


%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="gnome-schedule.png" \
 longtitle="Manage crontab and at jobs" \
 needs="x11" \
 section="System/Configuration/Other" \
 title="GNOME Schedule" \
 startup_notify="yes"
_EOF_

%find_lang %{name} --with-gnome


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_menudir}/%{name}

%changelog
* Wed Aug 17 2005 Abel Cheung <deaddog@mandriva.org> 0.9.0-1mdk
- First Mandriva package (for wider software testing)
